[SA20088] phpCOIN E-Mail Address Disclosure of Arbitrary Messages

2006-05-14T00:00:00
ID SECURITYVULNS:DOC:12669
Type securityvulns
Reporter Securityvulns
Modified 2006-05-14T00:00:00

Description

TITLE: phpCOIN E-Mail Address Disclosure of Arbitrary Messages

SECUNIA ADVISORY ID: SA20088

VERIFY ADVISORY: http://secunia.com/advisories/20088/

CRITICAL: Moderately critical

IMPACT: Exposure of sensitive information

WHERE: >From remote

SOFTWARE: phpCOIN 1.x http://secunia.com/product/4722/

DESCRIPTION: A vulnerability has been reported in phpCOIN, which can be exploited by malicious people to disclose sensitive information.

The vulnerability is caused due to the application not checking if an e-mail address is already in use before allowing a user to add or change an e-mail address. This can be exploited to access and disclose the content of arbitrary messages.

SOLUTION: Apply code changes as described by the vendor: http://forums.phpcoin.com//index.php?showtopic=5941

PROVIDED AND/OR DISCOVERED BY: The vendor credits captainpovey.

ORIGINAL ADVISORY: http://forums.phpcoin.com//index.php?showtopic=5941


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.